com.sun.tdk.specdiff.html.report

## Class DirReportFormatter

- java.lang.Object
- - com.sun.tdk.specdiff.html.AbstractDifferModule
  - - com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter
    - - com.sun.tdk.specdiff.html.report.DiffReportFormatter
      - - com.sun.tdk.specdiff.html.report.DirReportFormatter

- All Implemented Interfaces:
    DifferModule, ReportFormatter

      public class DirReportFormatter
      extends DiffReportFormatter

  Directory summary report formatter. Used in "package mode" to build reports for directories without package files.

  The mission of this entity is to group files from a single directory into a table with links and numbers.

- - ### Field Summary

    - ### Fields inherited from class com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter

      `CLASS_PARAM, GENERIC_HTML_PROBLEM_XSL, GENERIC_HTML_REPORT_XSL, GENERIC_HTML_STAT_XSL, PROBLEM_XSL_PARAM_NAME, REPORT_XSL_PARAM_NAME, STAT_XSL_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirReportFormatter(java.io.File outRootDir, java.io.File picsDir, Configuration config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `format(java.io.File xmlStatFile)`
    `void` | `init(java.lang.String summaryFileName, java.io.File outDirAbs)`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.report.DiffReportFormatter

      `getConfigurationPath`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.report.AbstractDiffReportFormatter

      `createReportFormatter, format, getProblemXsl, getReportCaption, getReportXsl, getStatisticsXsl, htmlIndex, htmlProblem, htmlReport, htmlStat, init, setHtmlReportFile, setHtmlStatFile, setIndexHtmlFile, setPackageName, setPicsDir, setProblemXsl, setReportCaption, setReportXsl, setStatisticsXsl, setupOverview`

    - ### Methods inherited from class com.sun.tdk.specdiff.html.AbstractDifferModule

      `getFileName, getNewPath, getOldPath, getOutDir, getParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.sun.tdk.specdiff.html.DifferModule

      `getParameters`

- - ### Constructor Detail

    - #### DirReportFormatter

          public DirReportFormatter(java.io.File outRootDir,
                                    java.io.File picsDir,
                                    Configuration config)

  - ### Method Detail

    - #### init

          public void init(java.lang.String summaryFileName,
                           java.io.File outDirAbs)

    - #### format

          public java.io.File format(java.io.File xmlStatFile)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`